## open-infrastructure-container-tools 20160801

=== Makefile ===
# Makefile

# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = container-tools
SCRIPTS = bin/* lib/*/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@echo -n "Checking for bashisms"

	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi

	@echo " done."

build: share/man/*.txt
	$(MAKE) -C share/man

install: build
	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/config
	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/debconf
	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/hooks

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/lib/$(SOFTWARE)
	cp -r lib/* $(DESTDIR)/usr/lib/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -r VERSION.txt share/config share/scripts ${DESTDIR}/usr/share/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions
	cp -r share/bash-completion/* $(DESTDIR)/usr/share/bash-completion/completions

	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r share/doc $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

	ln -sf container $(DESTDIR)/usr/bin/cnt
	ln -sf container.1 $(DESTDIR)/usr/share/man/man1/cnt.1
	ln -sf container-shell $(DESTDIR)/usr/bin/cntsh
	ln -sf container-shell.1 $(DESTDIR)/usr/share/man/man1/cntsh.1
	ln -sf container ${DESTDIR}/usr/share/bash-completion/completions/cnt

	ln -sf debconf ${DESTDIR}/usr/share/$(SOFTWARE)/scripts/debian
	ln -sf debconf.d ${DESTDIR}/usr/share/$(SOFTWARE)/scripts/debian.d
	ln -sf container-create-debconf.1 $(DESTDIR)/usr/share/man/man1/container-create-debian.1
	ln -sf debconf ${DESTDIR}/usr/share/$(SOFTWARE)/scripts/progress-linux
	ln -sf debconf.d ${DESTDIR}/usr/share/$(SOFTWARE)/scripts/progress-linux.d
	ln -sf container-create-debconf.1 $(DESTDIR)/usr/share/man/man1/container-create-progress-linux.1

	mkdir -p $(DESTDIR)/lib/systemd/system
	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system

uninstall:
	for FILE in share/systemd*; \
	do \
		if [ -e "$${FILE}" ]; \
		then \
			rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
		fi; \
	done

	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			if [ -e "$${FILE}" ]; \
			then \
				rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
			fi; \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -f $(DESTDIR)/usr/bin/cnt
	rm -f $(DESTDIR)/usr/share/man/man1/cnt.1
	rm -f $(DESTDIR)/usr/bin/cntsh
	rm -f $(DESTDIR)/usr/share/man/man1/cntsh.1
	rm -f ${DESTDIR}/usr/share/bash-completion/completions/cnt

	for FILE in share/bash-completion/*; \
	do \
		rm -f $(DESTDIR)/usr/share/bash-completion/completions/$$(basename $${FILE}); \
	done

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share || true

	rm -rf $(DESTDIR)/usr/lib/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/lib || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE}/config || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE}/debconf || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE}/hooks || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE} || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

distclean:

reinstall: uninstall install

=== debian/changelog ===
open-infrastructure-container-tools (20160801-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160801.
  * Removing previously added note about uploading to sid in changelog
    entry.
  * Completing authors in copyright file.
  * Making container directories by default root-owned and root-readable
    only.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 04 Aug 2016 15:50:25 +0200

open-infrastructure-container-tools (20160701-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160701.
  * Adding note about merging upstream version in previous changelog
    entry.
  * Excluding the default symlink from default container create script
    selection.
  * Correcting installation directory for documentation in debian.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 01 Jul 2016 11:54:41 +0200

open-infrastructure-container-tools (20160615-2) unstable; urgency=low

  * Uploading to sid.
  * Adding note about uploading to sid in previous changelog entry.
  * Checking for existence of lsb_release in debconf config script
    (Closes: #827378).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 Jun 2016 06:39:12 +0200

open-infrastructure-container-tools (20160615-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160615.
  * Switching to debhelper compat 10.
  * Adding watch file.
  * Adding gpg verification to watch file.
  * Updating upstream git location.
  * Updating vcs fields.
  * Adding debconf handling for setting choosing /var/lib/machines, /etc
    /container-tools/config, /etc/container-tools/debconf, and /var/cache
    /container-tools default locations.
  * Adding debconf handling for default container create script selection.
  * Regenerating debconf translation files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 14 Jun 2016 21:24:06 +0200

open-infrastructure-container-tools (20160601-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160601.
  * Updating homepage field.
  * Managing /usr/share/container-tools/scripts/default symlink via
    update-alternatives.
  * Adding NEWS file listing backwards incompatible upstream changes.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 01 Jun 2016 16:00:50 +0200

open-infrastructure-container-tools (20160515-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160515.
  * Adding bridge-utils to suggests.
  * Removing screen from recommends, not used anymore.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 18 May 2016 18:36:07 +0200

open-infrastructure-container-tools (20160501-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160501.
  * Correcting email address in previous upload.
  * Updating vcs fields.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 06 May 2016 14:09:43 +0200

open-infrastructure-container-tools (20160415-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160415.
  * Updating standards-version to 3.9.8.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 16 Apr 2016 12:34:34 +0200

open-infrastructure-container-tools (20160401-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160401.
  * Adding gitignore file.
  * Building with dh-systemd.
  * Adding screen to recommends.
  * Using https instead of git protocol in vcs-git field.
  * Correcting spelling in package long-description.
  * Updating package long-description.
  * Disabling dh_auto_build target in rules to prevent manpages being
    built twice.
  * Running dh_systemd_start with --no-restart-on-upgrade to prevent
    automatically started screen session to be killed on upgrades.
  * Adding provides container-tools.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 31 Mar 2016 12:25:09 +0200

open-infrastructure-container-tools (20160301-1) unstable; urgency=low

  * Initial upload to sid (Closes: #816418).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 02 Mar 2016 12:17:58 +0100

=== debian/control ===
Source: open-infrastructure-container-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 asciidoc,
 debhelper (>= 9.20160402~),
 dh-systemd,
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/container-tools
Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-container-tools
Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-container-tools

Package: open-infrastructure-container-tools
Architecture: all
Depends:
 dbus,
 systemd-container | systemd (<< 224-2~),
 ${misc:Depends},
Recommends:
 debootstrap,
Suggests:
 bridge-utils,
Conflicts:
 radiance,
Provides:
 container-tools,
Description: Tools to manage systemd-nspawn containers
 A Linux container is an operating-system-level virtualization environment for
 running multiple isolated Linux systems (containers) on a single Linux control
 host.
 .
 container-tools provides the system integration for managing containers using
 systemd-nspawn.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel --with systemd

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install

	mv debian/open-infrastructure-container-tools/usr/share/doc/container-tools debian/open-infrastructure-container-tools/usr/share/doc/open-infrastructure-container-tools

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade

## open-infrastructure-container-tools 20161101

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,6 @@
 install: build
 	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/config
 	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/debconf
-	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/hooks
 
 	mkdir -p $(DESTDIR)/usr/bin
 	cp -r bin/* $(DESTDIR)/usr/bin
@@ -69,7 +68,11 @@
 	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions
 	cp -r share/bash-completion/* $(DESTDIR)/usr/share/bash-completion/completions
 
-	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
+	mkdir -p $(DESTDIR)/etc/sudoers.d
+	cp -r share/sudo/* $(DESTDIR)/etc/sudoers.d
+	chmod 0440 $(DESTDIR)/etc/sudoers.d/*
+
+	mkdir -p $(DESTDIR)/usr/share/doc
 	cp -r share/doc $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 
 	for SECTION in $$(seq 1 8); \
@@ -124,6 +127,11 @@
 	rm -f $(DESTDIR)/usr/share/man/man1/cntsh.1
 	rm -f ${DESTDIR}/usr/share/bash-completion/completions/cnt
 
+	for FILE in share/sudo/*; \
+	do \
+		rm -f $(DESTDIR)/etc/sudoers.d/$$(basename $${FILE}); \
+	done
+
 	for FILE in share/bash-completion/*; \
 	do \
 		rm -f $(DESTDIR)/usr/share/bash-completion/completions/$$(basename $${FILE}); \
@@ -146,7 +154,6 @@
 
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE}/config || true
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE}/debconf || true
-	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE}/hooks || true
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE} || true
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc || true

=== share/man/Makefile ===
# Makefile

# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight

A2X = a2x \
	--asciidoc-opts "-a revdate=$(shell cat ../../VERSION.txt)" \
	--doctype=manpage

SHELL := sh -e

all: build

clean:
	rm -f *.[0-9]
	rm -f *.xml

build: man

rebuild: clean build

man: *.txt
	for FILE in *.txt; \
	do \
		$(A2X) --format=manpage $${FILE}; \
	done

.PHONY: all clean build rebuild man

## open-infrastructure-container-tools 20161101-lts2

=== debian/changelog ===
open-infrastructure-container-tools (20161101-lts2-2) unstable; urgency=low

  * Uploading to sid.
  * Using consistent email address for all downstream work.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Jan 2017 17:50:59 +0100

open-infrastructure-container-tools (20161101-lts2-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20161101-lts2.
  * Updating upstream contact in copyright file.
  * Making maintainer scripts executable in source tree.
  * Updating upstream signing key.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Dec 2016 14:25:35 +0100

open-infrastructure-container-tools (20161101-lts1-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20161101-lts1.
  * Removing obsolete conflicts to radiance.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 25 Oct 2016 15:38:47 +0200

open-infrastructure-container-tools (20161101-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20161101.
  * Adding initial Dutch debconf translation from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #834611).
  * Adding initial French debconf translation from Jean-Pierre Giraud
    <jean-pierregiraud@neuf.fr> (Closes: #835096).
  * Adding initial Brazilian Portuguese debconf translation from Adriano
    Rafael Gomes <adrianorg@debian.org> (Closes: #839273).
  * Updating debhelper build-depends for version 10.
  * Adding sudo to recommends.
  * Updating package short-description.
  * Adding postrm script to remove empty directories and symlinks on
    package removal (Closes: #832346).
  * Renaming internal setup function in postinst script for consistency
    with postrm.
  * Disabling dh_systemd_start entirely to avoid restarts during package
    upgrades.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 25 Oct 2016 15:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: open-infrastructure-container-tools
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  asciidoc,
- debhelper (>= 9.20160402~),
+ debhelper (>= 10),
  dh-systemd,
  docbook-xml,
  docbook-xsl,
@@ -23,13 +23,12 @@
  ${misc:Depends},
 Recommends:
  debootstrap,
+ sudo,
 Suggests:
  bridge-utils,
-Conflicts:
- radiance,
 Provides:
  container-tools,
-Description: Tools to manage systemd-nspawn containers
+Description: manage systemd-nspawn containers
  A Linux container is an operating-system-level virtualization environment for
  running multiple isolated Linux systems (containers) on a single Linux control
  host.

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	mv debian/open-infrastructure-container-tools/usr/share/doc/container-tools debian/open-infrastructure-container-tools/usr/share/doc/open-infrastructure-container-tools
 
 override_dh_systemd_start:
-	dh_systemd_start --no-restart-on-upgrade
+	# disabled

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/container-tools/upstream/container-tools-(.+)\.tar\.xz

## open-infrastructure-container-tools 20170726

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 # container-tools - Manage systemd-nspawn containers
-# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -52,9 +52,12 @@
 build: share/man/*.txt
 	$(MAKE) -C share/man
 
+	sed -n '/^NAME/,$$p' share/man/$(SOFTWARE).7.txt > README.txt
+
 install: build
 	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/config
 	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/debconf
+	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/hooks
 
 	mkdir -p $(DESTDIR)/usr/bin
 	cp -r bin/* $(DESTDIR)/usr/bin
@@ -68,12 +71,18 @@
 	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions
 	cp -r share/bash-completion/* $(DESTDIR)/usr/share/bash-completion/completions
 
+	mkdir -p $(DESTDIR)/etc/logrotate.d
+	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d
+
+	mkdir -p $(DESTDIR)/etc/sysctl.d
+	cp -r share/procps/* $(DESTDIR)/etc/sysctl.d
+
 	mkdir -p $(DESTDIR)/etc/sudoers.d
 	cp -r share/sudo/* $(DESTDIR)/etc/sudoers.d
 	chmod 0440 $(DESTDIR)/etc/sudoers.d/*
 
-	mkdir -p $(DESTDIR)/usr/share/doc
-	cp -r share/doc $(DESTDIR)/usr/share/doc/$(SOFTWARE)
+	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
+	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 
 	for SECTION in $$(seq 1 8); \
 	do \
@@ -97,26 +106,29 @@
 	ln -sf debconf.d ${DESTDIR}/usr/share/$(SOFTWARE)/scripts/progress-linux.d
 	ln -sf container-create-debconf.1 $(DESTDIR)/usr/share/man/man1/container-create-progress-linux.1
 
+	ln -sf list $(DESTDIR)/usr/lib/$(SOFTWARE)/container/ls
+	ln -sf move $(DESTDIR)/usr/lib/$(SOFTWARE)/container/mv
+	ln -sf remove $(DESTDIR)/usr/lib/$(SOFTWARE)/container/rm
+	ln -sf version $(DESTDIR)/usr/lib/$(SOFTWARE)/container/ver
+
 	mkdir -p $(DESTDIR)/lib/systemd/system
 	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system
 
+	mkdir -p $(DESTDIR)/var/log/$(SOFTWARE)
+
 uninstall:
-	for FILE in share/systemd*; \
+	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/var/log/$(SOFTWARE) || true
+
+	for FILE in share/systemd/*; \
 	do \
-		if [ -e "$${FILE}" ]; \
-		then \
-			rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
-		fi; \
+		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
 	done
 
 	for SECTION in $$(seq 1 8); \
 	do \
 		for FILE in share/man/*.$${SECTION}; \
 		do \
-			if [ -e "$${FILE}" ]; \
-			then \
-				rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
-			fi; \
+			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
 		done; \
 		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
 	done
@@ -130,6 +142,16 @@
 	for FILE in share/sudo/*; \
 	do \
 		rm -f $(DESTDIR)/etc/sudoers.d/$$(basename $${FILE}); \
+	done
+
+	for FILE in share/procps/*; \
+	do \
+		rm -f $(DESTDIR)/etc/sysctl.d/$$(basename $${FILE}); \
+	done
+
+	for FILE in share/logrotate/*; \
+	do \
+		rm -f $(DESTDIR)/etc/logrotate.d/$$(basename $${FILE}); \
 	done
 
 	for FILE in share/bash-completion/*; \
@@ -154,6 +176,7 @@
 
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE}/config || true
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE}/debconf || true
+	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE}/hooks || true
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/${SOFTWARE} || true
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc || true
 
@@ -162,6 +185,8 @@
 clean:
 	$(MAKE) -C share/man clean
 
+	rm -f README.txt
+
 distclean:
 
 reinstall: uninstall install

=== share/man/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 # container-tools - Manage systemd-nspawn containers
-# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
open-infrastructure-container-tools (20170726-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170726.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 28 Jul 2017 13:59:45 +0200

open-infrastructure-container-tools (20170722-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170722.
  * Adding news entries for backwards incompatible changes of upstream
    version 20170722.
  * Removing /etc/default/container-tools when purging package (Closes:
    #866726).
  * Adding initial Portuguese debconf translation from Rui Branco
    <ruipb@debianpt.org> (Closes: #859335).
  * Updating debconf files.
  * Updating paths when using shared-storage in debconf questions.
  * Using lzip tarball in watch file.
  * Adding debconf handling for /etc/container-tools/keys.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 23 Jul 2017 10:40:47 +0200

open-infrastructure-container-tools (20170701-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170701.
  * Making setting of default container create script conditional
    depending on existence of container scripts.
  * Adding explicit depends on ifupdown until we can switch to systemd-
    networkd entirely.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 01 Jul 2017 09:30:24 +0200

open-infrastructure-container-tools (20170629-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170629.
  * Updating to standards version 4.0.0.
  * Using https for copyright format url.
  * Adding news entries for backwards incompatible changes of upstream
    version 20170629.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jun 2017 11:24:19 +0200

open-infrastructure-container-tools (20170522-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20170522.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 22 May 2017 13:56:50 +0200

open-infrastructure-container-tools (20170510-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20170510.
  * Removing superfluous --parallel when invoking debhelper as it's the
    default with compat level 10, thanks to Gianfranco Costamagna
    <locutusofborg@debian.org>.
  * Generalizing rules file.
  * Adding recommends to procps.
  * Applying sysctl settings in postinst.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 May 2017 16:42:55 +0200

open-infrastructure-container-tools (20170405-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20170405.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Apr 2017 19:03:41 +0200

open-infrastructure-container-tools (20170401-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20170401.
  * Using consistent email address for all downstream work.
  * Updating vcs fields.
  * Adding bash-completion to recommends.
  * Adding logrotate to recommends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Apr 2017 12:26:06 +0200

open-infrastructure-container-tools (20170101-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20170101.
  * Adding explicit depends to net-tools.
  * Updating year in copyright information for 2017.
  * Adding debconf handling for hooks directory.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Jan 2017 11:42:56 +0100

open-infrastructure-container-tools (20161220-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161220.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 21 Dec 2016 10:23:07 +0100

open-infrastructure-container-tools (20161210-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161210.
  * Adding news entries for backwards incompatible changes of upstream
    version 20161210.
  * Adding python-nwdiag to suggests.
  * Updating upstream signing key.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Dec 2016 13:35:11 +0100

open-infrastructure-container-tools (20161201-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161201.
  * Adding irker to suggests.
  * Adding debconf handling for irc notifications.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 04 Dec 2016 02:49:43 +0100

open-infrastructure-container-tools (20161125-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161125.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 25 Nov 2016 11:26:32 +0100

open-infrastructure-container-tools (20161122-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161122.
  * Adding news entries for backwards incompatible changes of upstream
    version 20161122.
  * Adding plzip to suggests.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 22 Nov 2016 16:11:55 +0100

open-infrastructure-container-tools (20161112-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161112.
  * Adding news entries for backwards incompatible changes of upstream
    version 20161112.
  * Updating upstream contact in copyright file.
  * Adding curl container create script to alternative handling.
  * Adding curl to recommends.
  * Adding pv to recommends.
  * Making maintainer scripts executable.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 12 Nov 2016 08:55:06 +0100

open-infrastructure-container-tools (20161105-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161105.
  * Adding news entries for backwards incompatible changes of upstream
    version 20161105.
  * Removing copy of CHANGELOG.txt in the debian package.
  * Removing copy of LICENSE.txt in the debian package.



=== debian/control ===
--- 
+++ 
@@ -10,22 +10,32 @@
  docbook-xsl,
  libxml2-utils,
  xsltproc,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://open-infrastructure.net/software/container-tools
-Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-container-tools
-Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-container-tools
+Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-container-tools
+Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-container-tools
 
 Package: open-infrastructure-container-tools
 Architecture: all
 Depends:
  dbus,
+ ifupdown,
+ net-tools,
  systemd-container | systemd (<< 224-2~),
  ${misc:Depends},
 Recommends:
+ bash-completion,
+ curl,
  debootstrap,
+ logrotate,
+ procps,
+ pv,
  sudo,
 Suggests:
  bridge-utils,
+ irker,
+ plzip,
+ python3-nwdiag | python-nwdiag,
 Provides:
  container-tools,
 Description: manage systemd-nspawn containers

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := container-tools

%:
	dh ${@} --with systemd

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install

	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/CHANGELOG.txt
	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/LICENSE.txt

	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE) debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)

override_dh_systemd_start:
	# disabled

## open-infrastructure-container-tools 20180218

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 # Makefile
 
 # container-tools - Manage systemd-nspawn containers
-# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2018 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -66,7 +68,7 @@
 	cp -r lib/* $(DESTDIR)/usr/lib/$(SOFTWARE)
 
 	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
-	cp -r VERSION.txt share/config share/scripts ${DESTDIR}/usr/share/$(SOFTWARE)
+	cp -r VERSION.txt share/config share/hooks share/scripts ${DESTDIR}/usr/share/$(SOFTWARE)
 
 	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions
 	cp -r share/bash-completion/* $(DESTDIR)/usr/share/bash-completion/completions
@@ -106,6 +108,7 @@
 	ln -sf debconf.d ${DESTDIR}/usr/share/$(SOFTWARE)/scripts/progress-linux.d
 	ln -sf container-create-debconf.1 $(DESTDIR)/usr/share/man/man1/container-create-progress-linux.1
 
+	ln -sf console $(DESTDIR)/usr/lib/$(SOFTWARE)/container/con
 	ln -sf list $(DESTDIR)/usr/lib/$(SOFTWARE)/container/ls
 	ln -sf move $(DESTDIR)/usr/lib/$(SOFTWARE)/container/mv
 	ln -sf remove $(DESTDIR)/usr/lib/$(SOFTWARE)/container/rm

=== share/man/Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 # Makefile
 
 # container-tools - Manage systemd-nspawn containers
-# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2018 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
open-infrastructure-container-tools (20180218-2) unstable; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Also adding --no-restart-after-upgrade to dh_installsystemd to avoid
    containers being rebooted on package upgrades (default changed with
    debhelper 11).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Mar 2018 16:12:17 +0100

open-infrastructure-container-tools (20180218-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180218.
  * Updating rules to use dh_installsystemd instead of dh_systemd_start.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 18 Feb 2018 16:13:14 +0100

open-infrastructure-container-tools (20180118-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180118.
  * Adding Rules-Requires-Root field.
  * Dropping obsolete build-depends on dh-systemd.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #883415).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 Jan 2018 10:54:05 +0100

open-infrastructure-container-tools (20171101-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171101.
  * Adding initial German debconf translations from Markus Hiereth
    <markus.hiereth@freenet.de> (Closes: #851978).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2017 09:17:43 +0100

open-infrastructure-container-tools (20171013-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171013.
  * Updating to standards version 4.1.1.
  * Dropping net-tools depends, not needed anymore.
  * Dropping bridge-utils suggests, not needed anymore.
  * Adding updated Portuguese debconf translation from Rui Branco
    <ruipb@debianpt.org> (Closes: #870533).
  * Adding updated Dutch debconf translation from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #874281).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Oct 2017 15:17:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  asciidoc,
- debhelper (>= 10),
- dh-systemd,
+ debhelper (>= 11),
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
-Standards-Version: 4.0.0
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: https://open-infrastructure.net/software/container-tools
 Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-container-tools
 Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-container-tools
@@ -20,7 +20,6 @@
 Depends:
  dbus,
  ifupdown,
- net-tools,
  systemd-container | systemd (<< 224-2~),
  ${misc:Depends},
 Recommends:
@@ -32,7 +31,6 @@
  pv,
  sudo,
 Suggests:
- bridge-utils,
  irker,
  plzip,
  python3-nwdiag | python-nwdiag,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PACKAGE := container-tools
 
 %:
-	dh ${@} --with systemd
+	dh ${@}
 
 override_dh_auto_build:
 	# disabled
@@ -16,5 +16,5 @@
 
 	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE) debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)
 
-override_dh_systemd_start:
-	# disabled
+override_dh_installsystemd:
+	dh_installsystemd --no-restart-after-upgrade --no-start --no-stop-on-upgrade

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/container-tools/upstream/container-tools-(.+)\.tar\.lz

## open-infrastructure-container-tools 20180527

=== debian/changelog ===
open-infrastructure-container-tools (20180527-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180527.
  * Fixing variable style in postrm script.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 May 2018 20:58:29 +0200

open-infrastructure-container-tools (20180503-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180503.
  * Updating to standards-version 4.1.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 03 May 2018 12:49:45 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libxml2-utils,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://open-infrastructure.net/software/container-tools
 Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-container-tools
 Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-container-tools

## open-infrastructure-container-tools 20180825

=== debian/changelog ===
open-infrastructure-container-tools (20180825-2) unstable; urgency=medium

  * Uploading to sid.
  * Updating German debconf translations, thanks to Markus Hiereth
    <translation@hiereth.de> (Closes: #905709).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Aug 2018 11:14:04 +0200

open-infrastructure-container-tools (20180825-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180825.
  * Updating to standards version 4.2.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 30 Aug 2018 15:05:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libxml2-utils,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://open-infrastructure.net/software/container-tools
 Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-container-tools
 Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-container-tools
